<?PHP
	////++++++++++++++++ CONFIGURACIÓN FASE 1 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////

////Conexiones y tiempos de ejecución
$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
ini_set('max_execution_time', $LtEn);
include ("../Conections/$VpnEn.php");

$Cve_Modulo = "CMOD201506100107";

///Arrastra Variables Fijas
$UsuEn=$_POST['UsuKP'] or $UsuEn=$_GET['UsuKP'];
$TokEn=$_POST["TokenKP"] or $TokEn=$_GET["TokenKP"];
$IDSeEn=$_POST["IdDAcce"] or $IDSeEn=$_GET["IdDAcce"];
$CtaSesionEn=$_POST['CtaSKP'] or $CtaSesionEn=$_GET['CtaSKP'];

	
	/////////Identificar personalización 2
		$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
		if (mysql_numrows($sqlP2)==0) echo "";
		else{
		$registroP2=mysql_fetch_array($sqlP2);
		}
		if (mysql_numrows($sqlP2)>0)
		{
		$Titulo=$registroP2["TITULO_PAGINAS"];
		}
	
	/////////Identificar configuracion 1
		$sqlC1 = mysql_query("select * from wms_configura1 where ID='1'");
		if (mysql_numrows($sqlC1)==0) echo "";
		else{
		$registroC1=mysql_fetch_array($sqlC1);
		}
		if (mysql_numrows($sqlC1)>0)
		{
		$TimeInac=$registroC1["TIEMPO_INACTIVIDAD"];
		}
		
		//////Identificar la Cuenta y la Bodega
			$sqlCR1 = mysql_query("select * from wms_configura_altacuentas where NOMBRE_CUENTA='$CtaSesionEn'");
			if (mysql_numrows($sqlCR1)==0) echo "";
			else{
			$registroCR1=mysql_fetch_array($sqlCR1);
			}
			if (mysql_numrows($sqlCR1)>0)
			{
			$CveBodCR1=$registroCR1["CVE_BODEGA"];
			$CveCueCR1=$registroCR1["CVE_CUENTA"];
			}
			
				$sqlCR2 = mysql_query("select * from wms_configura_altabodega where CVE_BODEGA='$CveBodCR1'");
				if (mysql_numrows($sqlCR2)==0) echo "";
				else{
				$registroCR2=mysql_fetch_array($sqlCR2);
				}
				if (mysql_numrows($sqlCR2)>0)
				{
				$NomBodCR2=$registroCR2["NOMBRE_BODEGA"];
				}
		
////++++++++++++++ FIN CONFIGURACIÓN FASE 1 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////		
?>		
<!--<!DOCTYPE html>-->
<!--<html>-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
					<head>
						<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<meta name="viewport" content="width=device-width"/>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">

<link rel="shortcut icon" href="../SIMA_Resourses/images/favicon.ico">
<title><?PHP echo $Titulo; ?></title>
<style type="text/css">
.Clase_TipoLetraTitulos {
	font-family: <?PHP echo $FuTi_Form; ?>;
	font-size:<?PHP echo $TaTi_Form; ?>px;
	color:<?PHP echo $BgTi_Form; ?>;
}
.Clase_TipoLetra {
	font-family: Microsoft Sans Serif;
	font-size:12px;
	color:#333;
}
.Clase_INPUT_Text {
	border: 1px solid <?PHP echo $Borde_Form; ?>;
	background: #FFFFFF;
	COLOR: #000000;
	FONT-FAMILY: Arial, Helvetica, sans-serif;
	FONT-SIZE: 12px;
	}

</style>
<link href="jquery-mobile/jquery.mobile-1.0.min.css" rel="stylesheet" type="text/css"/>
<style type="text/css">
body,td,th {
	font-size: 9px;
}
</style>
<script src="jquery-mobile/jquery-1.6.4.min.js" type="text/javascript"></script>
<script src="jquery-mobile/jquery.mobile-1.0.min.js" type="text/javascript"></script>

<!-- Inicia Validador de Inactividad -->
<script type="text/javascript">
var Inac;
function ini() {
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
function parar() {
  clearTimeout(Inac);
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}

</script>

<!-- Termina Validador de Inactividad -->

</head>

<body onload="ini()" onkeypress="parar()" onclick="parar()"> 
<!-- Inicia Cuerpo de la Interfaz Gráfica -->
<div data-role="page" id="page">
<?PHP
////++++++++++++++++ CONFIGURACIÓN FASE 2 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////
		
	/////////Identifica si el token aun esta vigente
		$ExtAño = substr($TokEn, -28, 4);    // devuelve el año
		$ExtDia = substr($TokEn, -7, 2);    // devuelve el mes
		$ExtMes = substr($TokEn, -14, 2);    // devuelve el día
		$FechTok=$ExtDia."/".$ExtMes."/".$ExtAño;
		$FechAct=$PreTo4=date("d/m/Y");
		
		if ($FechTok<>$FechAct)
		{
			echo "<script>alert('La sesión del Token de seguridad ha caducado.\\nFavor de iniciar sesion nuevamente.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_Force.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
		}
		else
		{ ///Inicia IF Sesion Token
		
	/////////Identificar permisos de acceso 1
		$sqlPA1 = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
		if (mysql_numrows($sqlPA1)==0) 
		{
			echo "<script>alert('CODIGO: LOGSYS#00001\\nEl Usuario en sesión ha sido truncado por inexistencia.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogIn.php'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 1
		
	/////////Identificar permisos de acceso 2
		$sqlPA2 = mysql_query("select * from wms_configurapermisosnivelmodulo where USUARIO='$UsuEn' AND CVE_MODULO='$Cve_Modulo'");
		if (mysql_numrows($sqlPA2)==0) 
		{
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=SinPermisos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 2
		
		/////////Identificar permisos de acceso 3 - Acreditación de Sesión Activa	
		$sqlPA3 = mysql_query("select * from tabla_controlsesiones where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlPA3)==0) 
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_ReLogIn.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'";
		}
		else
		{ ///Inicia IF Permiso de Acceso 3
			
			
			//////HORA y FECHA/////
			$Hora=time();
			$HoraOK=date("H:i:s",$Hora);
			$Fecha=date("Y/m/d");
			
		$tareaid=$_POST['tarea'] OR $tareaid=$_GET['tarea'];
		$uborigen=$_POST['uborigen'] OR $uborigen=$_GET['uborigen'];
		$unidades=$_POST['unidades'] OR $unidades=$_GET['unidades'];
		$ubdestino=$_POST['ubdestino'] OR $ubdestino=$_GET['ubdestino'];
		
		$tr=mysql_query("UPDATE tabla_resurtidopicking SET ESTADO='EN ESPERA' WHERE USUARIO_EJECUTO='$UsuEn' AND ESTADO='EN EJECUCION' AND ID!='$tareaid'");
		$tr=mysql_query("UPDATE tabla_resurtidopicking SET USUARIO_EJECUTO=NULL WHERE USUARIO_EJECUTO='$UsuEn' AND ID!='$tareaid' AND ESTADO!='EJECUTADA' AND ESTADO!='CANCELADA'");
		$tr=mysql_query("UPDATE tabla_resurtidopicking SET ESTADO='EN EJECUCION' WHERE ID='$tareaid'");
		$tr=mysql_query("SELECT * FROM tabla_resurtidopicking WHERE ID='$tareaid'");
		$tarea=mysql_fetch_array($tr);
		if($tarea['REPOSICION']=="Cajas"){
			$cnt=mysql_query("SELECT PZASXCAJA FROM tabla_altaproducto WHERE CUENTA='$CveCueCR1' AND CVE_BODEGA='$CveBodCR1' AND SKU='$tarea[SKU]'");
			$cn=mysql_fetch_array($cnt);
			$ppc = $cn['PZASXCAJA'];
				}else{$ppc =1;}
		$tot=($tarea['CANTIDAD']*$ppc);
		if($tarea['CVE_UBICACION_DESTINO'] != $ubdestino){
		echo "<script>alert('La ubicación introducida no coincide con la ubicación requerida ($tarea[CVE_UBICACION_DESTINO]).')</script>";
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=2-Resurtidopicking3.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo&tarea=$tareaid&uborigen=$uborigen'>";
		}else{
		$NPalletPG=$tarea['NO_PALLET'];
		
		/////////Identificar Datos del Pallet dentro del Inventario en 
				$sqlIP = mysql_query("select * from tabla_inventario WHERE CVE_CUENTA='$CveCueCR1' AND NO_PALLET='$tarea[NO_PALLET]'");
				if (mysql_numrows($sqlIP)==0) echo "";
				else{
				$registroIP=mysql_fetch_array($sqlIP);
				}
				if (mysql_numrows($sqlIP)>0)
				{
				$CNPNoDocu=$registroIP["NO_DOCUMENTO"];
				$CNPNoComple=$registroIP["NO_DOC_COMPLE"];
				$CNPSku=$registroIP["SKU"];
				$CNPSkuAlt=$registroIP["SKU_ALT"];
				$CNPDesc=$registroIP["DESCRIPCION"];
				$CNPFechaEnt=$registroIP["FECHA_ENTRADA"];
				$CNPCanti=$registroIP["CANTIDAD"];
				$CNPLote=$registroIP["LOTE"];
				$CNPLoteWms=$registroIP["LOTEWMS"];
				$CNPLotePro=$registroIP["LOTEPRODU"];
				$CNPCadu=$registroIP["CADUCIDAD"];
				$CNPFactu=$registroIP["FACTURA"];
				$CNPProv=$registroIP["PROVEEDOR"];
				$CNPPxca=$registroIP["PIEZASXCAJA"];
				$CNPCxpall=$registroIP["CAJASXPALLET"];
				$CArmPall=$registroIP["ARM_PALLET"];
				$CNPUbica=$registroIP["UBICACION"];
				$CNPriori=$registroIP["PRIORIDAD"];
				$CNPEdoCai=$registroIP["EDO_CALIDAD"];
				$TIPOUB=$registroIP['TIPO_UBICACION'];
				}
				
				if($unidades==0){
				
				//Actualizar ubicación del pallet
					$priori=mysql_query("SELECT PRIORIDAD FROM tabla_prioridad WHERE UBICACION='$ubdestino' AND CVE_BODEGA='$CveBodCR1' AND CVE_CUENTA='$CveCueCR1'");
					$pri=mysql_fetch_array($priori);
					$tipo=mysql_query("SELECT TIPODEUBICACION FROM tabla_ubicaciones WHERE CLAVEUBICACION='$ubdestino' AND CVE_BODEGA='$CveBodCR1' AND CUENTA='$CveCueCR1'");
					$tip=mysql_fetch_array($tipo);
					$updt = "UPDATE tabla_inventario SET UBICACION = '$ubdestino',PRIORIDAD='$pri[0]',TIPO_UBICACION='$tip[0]' WHERE NO_PALLET='$NPalletPG' AND CVE_BODEGA='$CveBodCR1' AND CVE_CUENTA='$CveCueCR1'";
					$updtubic=mysql_query($updt) or die(mysql_error());
					$Hora=time();
					$HoraOK=date("H:i:s",$Hora);
					$Fecha=date("Y/m/d");
					$cn=mysql_query("UPDATE tabla_resurtidopicking SET ESTADO='EJECUTADA' WHERE ID='$tareaid'");
					$cn=mysql_query("UPDATE tabla_resurtidopicking SET USUARIO_EJECUTO='$UsuEn' WHERE ID='$tareaid'");
					$cn=mysql_query("UPDATE tabla_resurtidopicking SET PIEZAS_SURTIDAS='$unidades' WHERE ID='$tareaid'");
					$cn=mysql_query("UPDATE tabla_resurtidopicking SET FECHA_EJECUTO='$Fecha' WHERE ID='$tareaid'");
					$cn=mysql_query("UPDATE tabla_resurtidopicking SET HORA_EJECUTO='$HoraOK' WHERE ID='$tareaid'");
					
					////Confirmar proceso y regresar
					echo "<script>alert('Tarea de resurtido finalizada en 0 correctamente.\\nCantidad: $unidades piezas.\\nUbicación origen: $uborigen.\\nUbicación destino: $ubdestino.')</script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=2-MenuProcesos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
					exit();
					}
					
				//////////Identificar si la Cantidad a Dvidir es Mayor a la Existente en el pallet//////////////
				if ($unidades>$CNPCanti)
				{ //// Inicia If Validador de Cantidades
					//Canelar tarea
					$cn=mysql_query("UPDATE tabla_resurtidopicking SET ESTADO='CANCELADA' WHERE ID='$tareaid'");
					echo "<script>alert('La cantidad que desea extraer es mayor a la cantidad existente en el pallet.\\n\\nLa tarea de resurtido se ha cancelado.');</script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=2-MenuProcesos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&PalletKP=$NPalletPG&IdBdKP=$IdBdPG'>";
				} //// Termina If Validador de Cantidades
				else
				{ //// Inicia Else Validador de Cantidades
				
				//traspaso 
					if($unidades==$CNPCanti){
					
								$Hora=time();
								$HoraOK=date("H:i:s",$Hora);
								$Fecha=date("Y/m/d");
								
								$sqlIDK = "select max(ID) as ultimo_FOLIOK from tabla_kardex"; 
								$libK = mysql_query($sqlIDK); 
								$rs_libK = mysql_fetch_assoc($libK); 
								$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
								$NMovimiento="TRASPASO";
								
								$sq=mysql_query("select * from tabla_inventario where NO_PALLET='$NPalletPG' AND CVE_BODEGA='$CveBodCR1' AND CVE_CUENTA='$CveCueCR1'");
								$d=mysql_fetch_array($sq);								
								
								//////Guardar el registro a MENOS en la Table_Kardex//////////
								$sqlKMEN = "insert into tabla_kardex (ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,HORA,FECHA,USUARIO)
								values('$id_nuevoK','$CveBodCR1','$CveCueCR1','$d[SKU]','$d[SKU_ALT]','$d[NO_DOCUMENTO]','$NMovimiento -','$uborigen','$tarea[NO_PALLET]','-$d[CANTIDAD]','$HoraOK','$Fecha','$UsuEn')";
								$resultadoKMEN=mysql_query($sqlKMEN) or die(mysql_error());
								
								$id_nuevoK2 = $rs_libK['ultimo_FOLIOK'] + 2;
								
								//////Guardar el registro a MAS en la Table_Kardex//////////
								$sqlKMAS = "insert into tabla_kardex (ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,HORA,FECHA,USUARIO)
								values('$id_nuevoK2','$CveBodCR1','$CveCueCR1','$d[SKU]','$d[SKU_ALT]','$d[NO_DOCUMENTO]','$NMovimiento +','$ubdestino','$tarea[NO_PALLET]','$d[CANTIDAD]','$HoraOK','$Fecha','$UsuEn')";
								$resultadoKMAS=mysql_query($sqlKMAS) or die(mysql_error());
								
								//Actualizar ubicación del pallet
								$priori=mysql_query("SELECT PRIORIDAD FROM tabla_prioridad WHERE UBICACION='$ubdestino' AND CVE_BODEGA='$CveBodCR1' AND CVE_CUENTA='$CveCueCR1'");
								$pri=mysql_fetch_array($priori);
								$tipo=mysql_query("SELECT TIPODEUBICACION FROM tabla_ubicaciones WHERE CLAVEUBICACION='$ubdestino' AND CVE_BODEGA='$CveBodCR1' AND CUENTA='$CveCueCR1'");
								$tip=mysql_fetch_array($tipo);
								$updt = "UPDATE tabla_inventario SET UBICACION = '$ubdestino',PRIORIDAD='$pri[0]',TIPO_UBICACION='$tip[0]' WHERE NO_PALLET='$NPalletPG' AND CVE_BODEGA='$CveBodCR1' AND CVE_CUENTA='$CveCueCR1'";
								$updtubic=mysql_query($updt) or die(mysql_error());
								
							$Hora=time();
							$HoraOK=date("H:i:s",$Hora);
							$Fecha=date("Y/m/d");
							$cn=mysql_query("UPDATE tabla_resurtidopicking SET ESTADO='EJECUTADA' WHERE ID='$tareaid'");
							$cn=mysql_query("UPDATE tabla_resurtidopicking SET USUARIO_EJECUTO='$UsuEn' WHERE ID='$tareaid'");
							$cn=mysql_query("UPDATE tabla_resurtidopicking SET PIEZAS_SURTIDAS='$unidades' WHERE ID='$tareaid'");
							$cn=mysql_query("UPDATE tabla_resurtidopicking SET FECHA_EJECUTO='$Fecha' WHERE ID='$tareaid'");
							$cn=mysql_query("UPDATE tabla_resurtidopicking SET HORA_EJECUTO='$HoraOK' WHERE ID='$tareaid'");
							
							////Confirmar proceso y regresar
							echo "<script>alert('Tarea de resurtido finalizada correctamente.\\nCantidad: $unidades piezas.\\nUbicación origen: $uborigen.\\nUbicación destino: $ubdestino.')</script>";
							echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=2-MenuProcesos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
					
					}else{
					//division y traspaso
					////////Resta el Valor de la Cantidad del Pallet Original///
					$CanSobPallOri=$CNPCanti-$unidades;
					$ArmPallOri="1 pallet de ".$CanSobPallOri." piezas";
					$CPKDiv=$unidades;
					
					/////Guarda la división del Pallet Original en la BD - Modifica la tabla del Inventario
					$sqlGM1="UPDATE tabla_inventario SET CANTIDAD='$CanSobPallOri', ARM_PALLET='$ArmPallOri' WHERE CVE_CUENTA='$CveCueCR1' AND NO_PALLET='$NPalletPG'";
					$resultadoGM1=mysql_query($sqlGM1,$conexion) or die(mysql_error());
					
					/////////Identificar el prefijo configurado
					$sqlIDE1 = mysql_query("select * from wms_configura_pallet WHERE CVE_CUENTA='$CveCueCR1'");
					if (mysql_numrows($sqlIDE1)==0) echo "";
					else{
					$registroIDE1=mysql_fetch_array($sqlIDE1);
					}
					if (mysql_numrows($sqlIDE1)>0)
					{
					$PrefijoPal=$registroIDE1["PREFIJO"];
					}
					
					//////Generador de Folio para guardar el concecutivo de la clave del Pallet
					$FechaPallet = date("Ymd");
					$sqlIDP = "select max(IDINCRE) as ultimo_FOLIOP from tabla_consepallet WHERE FECHA='$FechaPallet'"; 
					$libP = mysql_query($sqlIDP); 
					$rs_libP = mysql_fetch_assoc($libP); 
					$id_nuevoP = $rs_libP['ultimo_FOLIOP'] + 1;
					
					if ($id_nuevoP <=9)
					{
					$IdenCeros="0000";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
					}
				
					if ($id_nuevoP >=10 and $id_nuevoP <=99)
					{
					$IdenCeros="000";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
					}
				
					if ($id_nuevoP >=100 and $id_nuevoP <=999)
					{
					$IdenCeros="00";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
					}
					
					if ($id_nuevoP >=1000 and $id_nuevoP <=9999)
					{
					$IdenCeros="0";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
					}
										
					if ($id_nuevoP >=10000)
					{
					$ClavePallet=$PrefijoPal.$FechaPallet.$id_nuevoP;
					}
					
					////Generador de Folio tabla Inventarios
					$sqlID = "select max(ID) as ultimo_FOLIO from tabla_inventario"; 
					$lib = mysql_query($sqlID); 
					$rs_lib = mysql_fetch_assoc($lib); 
					$id_nuevoPPall = $rs_lib['ultimo_FOLIO'] + 1;
					
					//////GUARDAR EL PALLET NUEVO EN LA TABLA INVENTARIO//////////
					$ArmadoDivision="1 pallet de ".$unidades." piezas";
					$FechaEnt=date("Y/m/d");
					////Hora y Fecha
					$Hora2=time();
					$HoraOK2=date("H:i:s",$Hora2);
					$tip = mysql_query("SELECT TIPODEUBICACION FROM tabla_ubicaciones WHERE CUENTA='$CveCueCR1' AND CVE_BODEGA='$CveBodCR1' AND CLAVEUBICACION='$ubdestino'");
					$tipo=mysql_fetch_array($tip);
					$sqlDP = "insert tabla_inventario (TIPO_UBICACION,ID,CVE_BODEGA,CVE_CUENTA,NO_DOCUMENTO,NO_DOC_COMPLE,SKU,SKU_ALT,DESCRIPCION,FECHA_ENTRADA,CANTIDAD,LOTE,LOTEWMS,LOTEPRODU,CADUCIDAD,FACTURA,PROVEEDOR,PIEZASXCAJA,CAJASXPALLET,ARM_PALLET,NO_PALLET,UBICACION,PRIORIDAD,EDO_CALIDAD,USUARIO_ALTA,HORA,FECHA)
        		values('$TIPOUB','$id_nuevoPPall','$CveBodCR1','$CveCueCR1','$CNPNoDocu','$CNPNoComple','$CNPSku','$CNPSkuAlt','$CNPDesc','$FechaEnt','$unidades','$CNPLote','$CNPLoteWms','$CNPLotePro','$CNPCadu','$CNPFactu','$CNPProv','$CNPPxca','$CNPCxpall','$ArmadoDivision','$ClavePallet','$ubdestino','$CNPriori','$CNPEdoCai','$UsuEn','$HoraOK2','$FechaEnt')";
				
					$resultadoDP=mysql_query($sqlDP,$conexion) or die(mysql_error());
					
					
					/////Generador de Folio para guardar el consecutivo del Pallet
					$sqlIDP2 = "select max(ID) as ultimo_FOLIOP2 from tabla_consepallet"; 
					$libP2 = mysql_query($sqlIDP2); 
					$rs_libP2 = mysql_fetch_assoc($libP2); 
					$id_nuevoP2 = $rs_libP2['ultimo_FOLIOP2'] + 1;
									
					/////Guardar en la BD el consecutivo del No. de Pallet
					$sqlGCP = "insert tabla_consepallet (ID,CVE_BODEGA,CVE_CUENTA,IDINCRE,NO_DOCUMENTO,NO_PALLET,FECHA)
        			values('$id_nuevoP2','$CveBodCR1','$CveCueCR1','$id_nuevoP','$CNPNoDocu','$ClavePallet','$FechaPallet')";
					$resultadoGCP=mysql_query($sqlGCP,$conexion) or die(mysql_error());
					
					////Generador de Folio para Guardar el kardex (Registro a MENOS)
					////Hora y Fecha
					$Hora=time();
					$HoraOK=date("H:i:s",$Hora);
			
					$sqlIDPK1 = "select max(ID) as ultimo_FOLIOPK1 from tabla_kardex"; 
					$libPK1 = mysql_query($sqlIDPK1); 
					$rs_libPK1 = mysql_fetch_assoc($libPK1); 
					$id_nuevoPK1 = $rs_libPK1['ultimo_FOLIOPK1'] + 1;
						
					/////Guarda la División del Pallet Orignal en el Kardex con un Registro Nuevo
					$sqlMK = "insert tabla_kardex (ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,FECHA,HORA,USUARIO)
						values('$id_nuevoPK1','$CveBodCR1','$CveCueCR1','$CNPSku','$CNPSkuAlt','$CNPNoDocu','DIVISION','$CNPUbica','$NPalletPG','-$CPKDiv','$FechaEnt','$HoraOK','$UsuEn')";
					$resultadoMK=mysql_query($sqlMK,$conexion) or die(mysql_error());
					
					////Hora y Fecha
					$Hora=time();
					$HoraOK=date("H:i:s",$Hora);
			
					$sqlIDPK = "select max(ID) as ultimo_FOLIOPK from tabla_kardex"; 
					$libPK = mysql_query($sqlIDPK); 
					$rs_libPK = mysql_fetch_assoc($libPK); 
					$id_nuevoPK = $rs_libPK['ultimo_FOLIOPK'] + 1;
					
					/////Guardar el Registro nuevo en el Kardex
					$NombreMovimiento="DIVISION";
					$FechaEnt=date("Y/m/d");
					$sqlk = "insert tabla_kardex (ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,FECHA,HORA,USUARIO)
					values('$id_nuevoPK','$CveBodCR1','$CveCueCR1','$CNPSku','$CNPSkuAlt','$CNPNoDocu','$NombreMovimiento','$CNPUbica','$ClavePallet','$unidades','$FechaEnt','$HoraOK','$UsuEn')";
					$resultadok=mysql_query($sqlk,$conexion) or die(mysql_error());
					
								$Hora=time();
								$HoraOK=date("H:i:s",$Hora);
								$Fecha=date("Y/m/d");
								
								$sqlIDK = "select max(ID) as ultimo_FOLIOK from tabla_kardex"; 
								$libK = mysql_query($sqlIDK); 
								$rs_libK = mysql_fetch_assoc($libK); 
								$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
								$NMovimiento="TRASPASO";
								
								$sq=mysql_query("select * from tabla_inventario where NO_PALLET='$NPalletPG' AND CVE_BODEGA='$CveBodCR1' AND CVE_CUENTA='$CveCueCR1'");
								$d=mysql_fetch_array($sq);								
								
								//////Guardar el registro a MENOS en la Table_Kardex//////////
								$sqlKMEN = "insert into tabla_kardex (ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,HORA,FECHA,USUARIO)
								values('$id_nuevoK','$CveBodCR1','$CveCueCR1','$d[SKU]','$d[SKU_ALT]','$d[NO_DOCUMENTO]','$NMovimiento -','$uborigen','$ClavePallet','-$unidades','$HoraOK','$Fecha','$UsuEn')";
								$resultadoKMEN=mysql_query($sqlKMEN) or die(mysql_error());
								
								$id_nuevoK2 = $rs_libK['ultimo_FOLIOK'] + 2;
								
								//////Guardar el registro a MAS en la Table_Kardex//////////
								$sqlKMAS = "insert into tabla_kardex (ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,HORA,FECHA,USUARIO)
								values('$id_nuevoK2','$CveBodCR1','$CveCueCR1','$d[SKU]','$d[SKU_ALT]','$d[NO_DOCUMENTO]','$NMovimiento +','$ubdestino','$ClavePallet','$unidades','$HoraOK','$Fecha','$UsuEn')";
								$resultadoKMAS=mysql_query($sqlKMAS) or die(mysql_error());

					$Hora=time();
					$HoraOK=date("H:i:s",$Hora);
					$Fecha=date("Y/m/d");
					$cn=mysql_query("UPDATE tabla_resurtidopicking SET ESTADO='EJECUTADA' WHERE ID='$tareaid'");
					$cn=mysql_query("UPDATE tabla_resurtidopicking SET USUARIO_EJECUTO='$UsuEn' WHERE ID='$tareaid'");
					$cn=mysql_query("UPDATE tabla_resurtidopicking SET PIEZAS_SURTIDAS='$unidades' WHERE ID='$tareaid'");
					$cn=mysql_query("UPDATE tabla_resurtidopicking SET FECHA_EJECUTO='$Fecha' WHERE ID='$tareaid'");
					$cn=mysql_query("UPDATE tabla_resurtidopicking SET HORA_EJECUTO='$HoraOK' WHERE ID='$tareaid'");
					
					////Confirmar proceso y regresar
					echo "<script>alert('Tarea de resurtido finalizada correctamente.\\nCantidad: $unidades piezas.\\nUbicación origen: $uborigen.\\nUbicación destino: $ubdestino.')</script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=2-MenuProcesos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
				}
				} //// Termina Else Validador de Cantidades
		}
} ///Termina IF Permiso de Acceso 3
} ///Termina IF Permiso de Acceso 2
} ///Termina IF Permiso de Acceso 1
} ///Termina IF Sesion del Token
?>

</body>
</html>
